﻿#region Using

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Specialized;
using BlogEngine.Core;

#endregion

public partial class widgets_Statistics_edit : WidgetEditBase
{

	/// <summary>
	/// Handles the Load event of the Page control.
	/// </summary>
	/// <param name="sender">The source of the event.</param>
	/// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
	protected void Page_Load(object sender, EventArgs e)
	{
		if (!Page.IsPostBack)
		{
			StringDictionary settings = GetSettings();
            txtText.Value = settings["content"] ?? @"{posts} 篇文章<br />
                                                    {pages} 个单页<br />
                                                    {comments} 条评论<br />
                                                    {raters} 次评分<br />
                                                    {visits} 次访问<br />
                                                    访问统计开始于 {datecreated}<br />
                                                    平均日访问 {averagevisits} 次<br />
                                                    当前 {online} 人在线";
		}
	}

	/// <summary>
	/// Saves this the basic widget settings such as the Title.
	/// </summary>
	public override void Save()
	{
		StringDictionary settings = GetSettings();
        settings["content"] = txtText.Value;
		SaveSettings(settings);
	}
}
